<div class="pt-28 md:pt-32 lg:pt-40 xl:pt-52">
  <p class="text-2xl text-center mb-8">Page admin</p>

  <app-popup [message]="successMessage" [duration]="5000"></app-popup>

  <form [formGroup]="blogForm" (ngSubmit)="onSubmitBlog()" class="max-w-lg mx-auto space-y-6 border-2 p-5 mb-10">
    <p class="text-4xl text-center mb-2">Création blog</p>
    <div>
      <label for="article_title" class="block text-sm font-medium text-gray-700">Title:</label>
      <input id="article_title" formControlName="article_title" type="text" required
             class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm" />
    </div>

    <div>
      <label for="article_content" class="block text-sm font-medium text-gray-700">Content:</label>
      <angular-editor formControlName="article_content" [config]="editorConfig"></angular-editor>
    </div>

    <div>
      <label for="article_image" class="block text-sm font-medium text-gray-700">Image:</label>
      <input id="article_image" type="file" (change)="onFileChange($event, 'article_image', blogForm)" required
             class="mt-1 block w-full text-sm text-gray-500 file:mr-4 file:py-2 file:px-4 file:rounded-md file:border-0 file:text-sm file:font-semibold file:bg-indigo-50 file:text-indigo-700 hover:file:bg-indigo-100" />
    </div>

    <div>
      <label for="ID_Department" class="block text-sm font-medium text-gray-700">Department:</label>
      <select id="ID_Department" formControlName="ID_Department"
              class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm">
        @for(department of departments; track department){
          <option [value]="department.ID_department">{{ department.department_name }}</option>
        }
      </select>
    </div>

    <button type="submit" [disabled]="blogForm.invalid"
            class="w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 disabled:bg-gray-400">
      Create Blog
    </button>
  </form>

  <form [formGroup]="departmentForm" (ngSubmit)="onSubmitDepartment()" class="max-w-lg mx-auto space-y-6 border-2 p-5 mb-10">
    <p class="text-4xl text-center mb-2">Création département</p>
    <div>
      <label for="department_name" class="block text-sm font-medium text-gray-700">Name:</label>
      <input id="department_name" formControlName="department_name" type="text" required
             class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm" />
    </div>

    <div>
      <label for="department_description" class="block text-sm font-medium text-gray-700">Description:</label>
      <textarea id="department_description" formControlName="department_description" rows="3" required
                class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm"></textarea>
    </div>

    <div>
      <label for="department_img" class="block text-sm font-medium text-gray-700">Image:</label>
      <input id="department_img" type="file" (change)="onFileChange($event, 'department_img', departmentForm)" required
             class="mt-1 block w-full text-sm text-gray-500 file:mr-4 file:py-2 file:px-4 file:rounded-md file:border-0 file:text-sm file:font-semibold file:bg-indigo-50 file:text-indigo-700 hover:file:bg-indigo-100" />
    </div>

    <div>
      <label for="department_code" class="block text-sm font-medium text-gray-700">Code:</label>
      <input id="department_code" formControlName="department_code" type="number" required
             class="mt-1 block w-full border border-gray-300 rounded-md shadow-sm focus:ring-indigo-500 focus:border-indigo-500 sm:text-sm" />
    </div>

    <button type="submit" [disabled]="departmentForm.invalid"
            class="w-full flex justify-center py-2 px-4 border border-transparent rounded-md shadow-sm text-sm font-medium text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500 disabled:bg-gray-400">
      Create Department
    </button>
  </form>
</div>

<app-spinner [loading]="isLoading"></app-spinner>
